// --------------------------------------------------------------------------
// Aspects
// --------------------------------------------------------------------------

.aspects {
    background: #F6F9FB;
    padding: 43px 0 23px;
    @include breakpoint(md) {
        background: #fff;
        padding: 33px 0;
    }
    @include breakpoint(lg) {
        padding: 0;
    }
}

.aspects__section {
    position: relative;
   
    &--01 {
        .aspects__list {
            display: none;
        }
    }
    &--02 {
        .aspects__image {
            display: none;
        }
    }
    &--03 {
        .aspects__image {
            display: none;
        }
    }
    @include breakpoint(md) {
        &--01 {
            .aspects__image {
                display: none;
            }
            .aspects__list {
                display: block;
            }
        }
        &--02 {
            .aspects__image {
                display: block;
            }
        }
        &--03 {
            .row {
                align-items: center;
            }
            .aspects__image {
                display: block;
            }
        }
    }
    @include breakpoint(lg) {
        position: relative;
        z-index: 1;
        padding: 42px 0;

        .row {
            margin: 0 -20px;
            & > [class^="col-"] {
                padding: 0 20px;
            }
        }
        

        &--01 {
            &:after {
                content: '';
                display: block;
                position: absolute;
                top: 0;
                bottom: 0;
                left: 50%;
                width: 100vw;
                margin: 0 0 0 -50vw;
                background: #F6F9FB;
                z-index: -1;
            }

            
        }

        &--02 {

        }

        &--03 {
            .row {
                flex-direction: row-reverse;
            }
        }
    }

    @include breakpoint(xl) {
        position: relative;
        z-index: 1;
        padding: 0;

        .row {
            margin: 0 -45px;
            & > [class^="col-"] {
                padding: 0 45px;
            }
        }

        &--01 {
            padding: 85px 0 118px;
            .aspects__title {
                margin: 0 0 53px;
            }
            .aspects__list {
                column-gap: 90px;
            }
            .aspects__image {
                display: block;
                position: absolute;
                top: 100%;
                left: 0;
                border: none;
                padding: 0;
                transform: translate(0,-50%);
            }
        }
        &--02 {
            padding: 190px 0 0;
            .row {
                align-items: center;
            }
            .aspects__list {
                max-width: 424px;
            }
        }
        &--03 {
            padding: 120px 0 100px;
            .row {
                align-items: center;
            }
            .aspects__list {
                max-width: 424px;
            }
        }
    }

    &--light, &--white {
        padding: 85px 0;
    }
    &--light {
        
        &:after {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 50%;
            width: 100vw;
            margin: 0 0 0 -50vw;
            background: #F6F9FB;
            z-index: -1;
        }
    }
}

.aspects__image {
    margin: auto;
    text-align: center;
    img {
        display: inline-block;
        vertical-align: top;
    }
    @include breakpoint(lg) {
        border-bottom: 1px solid #828282;
        padding: 20px 0;
    }
}

.aspects__title {
    @extend .ui-title-33;
    margin: 0 0 15px;
    &--center {
        text-align: center;
    }
    @include breakpointMax(md) {
        font-size: 22px;
    }
    @include breakpoint(lg) {
        margin: 0 0 25px;
    }
    @include breakpoint(xl) {
        margin: 0 0 50px;
    }

}

.aspects__text {
    margin: 0 0 15px;
    @include breakpoint(xl) {
        max-width: 404px;
    }
}


.aspects__caption {
    margin: 0 0 30px;
}

.aspects__list {
    @extend .ui-checklist;
    margin: 0 0 30px;
    @include breakpoint(md) {
        & > li {
            margin: 0 0 20px;
        }
    }
    @include breakpoint(lg) {
        &--columns {
            columns: 2;
            column-gap: 40px;
            & > li {
                vertical-align: top;
            }
        }
    }
 
}

.aspects__benefits {
    margin: 0;
    padding: 0;
    list-style: none;
    & > li {
        margin: 0 0 26px;
    }
}

.aspects__benefits-item {
    position: relative;
    min-width: 60px;
    padding: 0 0 0 112px;
}

.aspects__benefits-item-icon {
    margin: 0;
    position: absolute;
    top: 0;
    left: 20px;
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    img {
        display: block;
    }
}

.aspects__benefits-item-text {
    margin: 0;
}

.aspects__mobile {
    background: #fff;
    padding: 43px 20px;
    margin: 23px -20px 0;
    @include breakpoint(md) {
        display: none;
    }
}

.aspects__info {
    margin: 0 -40px -40px;
    padding: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    & > li {
        padding: 0 40px 40px;
        flex: 0 0 100%;
    }
    @include breakpoint(md) {
        & > li {
            flex: 0 0 33.333%;
        }
    }
}

.aspects__info-title {
    @extend .ui-title-22;
    margin: 0 0 15px;
    @include breakpoint(md) {
        margin: 0 0 26px;
    }
}

.aspects__info-text {
    margin: 0;
}


.aspects__caption {
    margin: 0 0 50px;
    max-width: 652px;
}

.aspects__mark {
    display: block;
    background: #fff;
    margin: 0 0 30px;
    padding: 21px 22px;
    &--light {
        background: #F6F9FB;
    }
}